Bug 1147286

Summary: Please package banshee for EL6 and EPEL7
Product: [Fedora] Fedora Reporter: Moez Roy <moez.roy>
Component: bansheeAssignee: Tom "spot" Callaway <tcallawa>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: chkr, gwync, moez.roy, nathaniel, orion, tcallawa
Target Milestone: ---Flags: opensource: fedora-cvs+
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: banshee-2.6.2-9.el7 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-01-24 18:48:38 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1147295, 1147296, 1152386, 1154290, 1154291, 1154292, 1154293, 1154294, 1154297, 1154298, 1154299, 1154301, 1160569    
Bug Blocks:    

Description Moez Roy 2014-09-28 21:54:24 UTC
Hello,

Can you please package banshee for EL6 and EPEL 7.

Thanks.

Comment 1 Tom "spot" Callaway 2014-10-07 15:24:51 UTC
There are several unbuilt dependencies that would need to be built in EPEL first:

* mono-zeroconf
* libmtp
* gnome-sharp
* gio-sharp
* gtk-sharp-beans
* gkeyfile-sharp
* gudev-sharp
* gtk-sharp2
* taglib-sharp
* notify-sharp
* libgpod-sharp
* gdata-sharp
* dbus-sharp
* dbus-sharp-glib
* mono-addins

(I think that's all of them.)

Needless to say, this isn't likely to happen anytime soon.

Comment 2 Moez Roy 2014-12-07 01:16:15 UTC
I have been able to successfully build banshee for EPEL7.

http://koji.fedoraproject.org/koji/taskinfo?taskID=8316921

The following changes were required:

========================
Line 139 was commented out:

# desktop-file-validate %{buildroot}%{_datadir}/applications/banshee*.desktop
========================
Line 54 was changed to:

BuildRequires: gnome-desktop3-devel
========================

Can I go ahead and request a CVS branch for this package?

Comment 3 Orion Poplawski 2014-12-07 17:02:48 UTC
Running desktop-file-validate is a MUST - http://fedoraproject.org/wiki/Packaging:Guidelines#desktop-file-install_usage

Comment 4 Moez Roy 2014-12-26 16:51:19 UTC
(In reply to Orion Poplawski from comment #3)
> Running desktop-file-validate is a MUST -
> http://fedoraproject.org/wiki/Packaging:Guidelines#desktop-file-install_usage

Okay I changed it to:

desktop-file-validate %{buildroot}%{_datadir}/applications/banshee-audiocd.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/banshee-media-player.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/banshee.desktop

and it builds successfully:
http://koji.fedoraproject.org/koji/taskinfo?taskID=8481866

Comment 5 Moez Roy 2014-12-26 16:59:02 UTC
SCM branch request:

Package Change Request
======================
Package Name: banshee
New Branches: epel7
Owners: moezroy spot

Comment 6 Till Maas 2015-01-01 22:54:04 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2015-01-03 01:56:59 UTC
banshee-2.6.2-9.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/banshee-2.6.2-9.el7

Comment 8 Fedora Update System 2015-01-04 20:06:56 UTC
banshee-2.6.2-9.el7 has been pushed to the Fedora EPEL 7 testing repository.

Comment 9 Fedora Update System 2015-01-24 18:48:38 UTC
banshee-2.6.2-9.el7 has been pushed to the Fedora EPEL 7 stable repository.